> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fortiseval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook Endpoint

> Registers a webhook endpoint for the calling app. The signing secret is
only included in this response; store it securely.



## OpenAPI

````yaml /openapi.json post /webhook-endpoints
openapi: 3.1.0
info:
  title: Fortis Evaluations API
  version: 1.0.0
servers:
  - url: https://api.fortiseval.com/v1
    description: Live
  - url: https://sandbox-api.fortiseval.com/v1
    description: Sandbox
security:
  - http: []
paths:
  /webhook-endpoints:
    post:
      tags:
        - WebhookEndpoint
      summary: Create Webhook Endpoint
      description: |-
        Registers a webhook endpoint for the calling app. The signing secret is
        only included in this response; store it securely.
      operationId: webhook-endpoints.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreWebhookEndpointRequest'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    const: Webhook endpoint created successfully.
                  data:
                    type: array
                    items: {}
                required:
                  - message
                  - data
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreWebhookEndpointRequest:
      type: object
      properties:
        url:
          type: string
          format: uri
          maxLength: 1024
        description:
          type:
            - string
            - 'null'
          maxLength: 255
        events:
          type: array
          items:
            type: string
          minItems: 1
      required:
        - url
        - events
      title: StoreWebhookEndpointRequest
  responses:
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````